> ## Documentation Index
> Fetch the complete documentation index at: https://docs.bigdata.com/llms.txt
> Use this file to discover all available pages before exploring further.

# ESG Scores

> The ESG Performance Score API provides a comprehensive evaluation of a company's environmental, social, and governance (ESG) practices. It aggregates various ESG metrics into a single performance score, allowing investors and stakeholders to assess the company's commitment to sustainable and responsible business operations.

The ESG scores reflect companies' sustainability performance relative to financially material ESG issues. Scores are derived from standardized company-reported data and peer-based relative scoring techniques, resulting in a 0–100 scale that indicates a company's position versus its global peers, following a sector-specific, SASB (Sustainability Accounting Standards Board)-inspired materiality framework.

| Performance | Score Range |
|---|---|
| Laggard | < 42 |
| Below Average | 42 - 47 |
| Average | 48 - 53 |
| Above Average | 54 - 59 |
| Leader | ≥ 60 |



## OpenAPI

````yaml /api-rest/openapi/openapi_structured_data.json post /v1/esg-performance-score/query
openapi: 3.1.0
info:
  title: Bigdata Structured Data API
  description: Bigdata API documentation
  version: 1.0.0
servers:
  - url: https://api.bigdata.com/
security:
  - ApiKeyAuth: []
tags:
  - name: Market Data
    description: >-
      Market data endpoints including intraday prices, daily prices, price
      changes, and real-time quotes
  - name: Analyst Estimates
    description: >-
      Analyst estimates and ratings including analyst ratings, estimates, target
      prices, and earnings surprises
  - name: Financials & Ratios
    description: >-
      Financial statements and ratios including balance sheet, income statement,
      cash flow statement, key metrics TTM, and company ratios TTM
  - name: Company & Events
    description: >-
      Company information and events including company profile and events
      calendar
  - name: Fund Holdings
    description: >-
      Institutional fund holdings from SEC 13F filings including fund holdings
      and stock fund holdings
  - name: Knowledge Graph
    description: Corporate ownership and hierarchy data.
paths:
  /v1/esg-performance-score/query:
    post:
      tags:
        - Company & Events
      summary: ESG Scores
      description: >-
        The ESG Performance Score API provides a comprehensive evaluation of a
        company's environmental, social, and governance (ESG) practices. It
        aggregates various ESG metrics into a single performance score, allowing
        investors and stakeholders to assess the company's commitment to
        sustainable and responsible business operations.


        The ESG scores reflect companies' sustainability performance relative to
        financially material ESG issues. Scores are derived from standardized
        company-reported data and peer-based relative scoring techniques,
        resulting in a 0–100 scale that indicates a company's position versus
        its global peers, following a sector-specific, SASB (Sustainability
        Accounting Standards Board)-inspired materiality framework.


        | Performance | Score Range |

        |---|---|

        | Laggard | < 42 |

        | Below Average | 42 - 47 |

        | Average | 48 - 53 |

        | Above Average | 54 - 59 |

        | Leader | ≥ 60 |
      operationId: query_esg_performance_score_v1_esg_performance_score__post
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/PublicGetPerformanceScoreQuery'
        required: true
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PublicESGPerformanceScoreResponse'
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/BadRequestError'
        '429':
          description: Too Many Requests
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/TooManyRequestsError'
        '500':
          description: Internal Server Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/InternalServerError'
components:
  schemas:
    PublicGetPerformanceScoreQuery:
      properties:
        identifier:
          $ref: '#/components/schemas/SingleIdentifier'
          description: >-
            Object specifying which identifier you are using to request the
            company profile. You must supply one type and its corresponding
            value.
      type: object
      required:
        - identifier
      title: PublicGetPerformanceScoreQuery
      description: |-
        Schema for the request to the public API.

        Only contains the identifier:
        - type: the identifier type (e.g., "rp_entity_id")
        - value: a single RP Entity ID or a list of IDs
    PublicESGPerformanceScoreResponse:
      properties:
        results:
          anyOf:
            - $ref: '#/components/schemas/ESGPerformanceScore'
            - $ref: '#/components/schemas/EmptyResponse'
          title: Results
      type: object
      required:
        - results
      title: PublicESGPerformanceScoreResponse
    BadRequestError:
      properties:
        statusCode:
          type: integer
          const: 400
          title: Statuscode
          default: 400
        message:
          type: string
          title: Message
      type: object
      required:
        - message
      title: BadRequestError
      description: Bad Request Error
      example:
        message: Bad Request Error
        statusCode: 400
    TooManyRequestsError:
      properties:
        statusCode:
          type: integer
          const: 429
          title: Statuscode
          default: 429
        message:
          type: string
          title: Message
      type: object
      required:
        - message
      title: TooManyRequestsError
      description: Too many requests. Please try again later.
      example:
        message: Too many requests. Please try again later.
        statusCode: 429
    InternalServerError:
      properties:
        statusCode:
          type: integer
          const: 500
          title: Statuscode
          default: 500
        message:
          type: string
          title: Message
      type: object
      required:
        - message
      title: InternalServerError
      description: Internal Server Error
      example:
        message: Internal Server Error
        statusCode: 500
    SingleIdentifier:
      properties:
        type:
          $ref: '#/components/schemas/IdentifierType'
          description: >-
            Object specifying which identifier you are using to request the
            intraday price. You must supply one type and its corresponding
            value. Only one identifier should be provided per request.
          examples:
            - rp_entity_id
        value:
          type: string
          title: Value
          description: >-
            Bigdata uses the RavenPack Entity identifier (RP_Entity_ID) to
            uniquely reference entities such as companies. This identifier is a
            6-character alphanumeric code (letters and numbers only). Example:
            Alphabet Inc. (`4A6F00`)
          examples:
            - 4A6F00
      type: object
      required:
        - type
        - value
      title: SingleIdentifier
    ESGPerformanceScore:
      properties:
        rp_entity_id:
          type: string
          title: Rp Entity Id
          description: The RavenPack entity ID of the company.
          examples:
            - E09E2B
        name:
          type: string
          title: Name
          description: The name of the company.
          examples:
            - Nvidia Corp.
        ticker:
          type: string
          title: Ticker
          description: The ticker symbol of the company.
          examples:
            - NVDA-NAS
        industry:
          anyOf:
            - type: string
            - type: 'null'
          title: Industry
          description: The industry of the company.
          examples:
            - Semiconductors
        economic_sector:
          anyOf:
            - type: string
            - type: 'null'
          title: Economic Sector
          description: The economic sector of the company.
          examples:
            - Electronic Technology
        esg_scores:
          items:
            anyOf:
              - type: string
              - type: 'null'
          type: array
          title: Esg Scores
          description: The fields of ESG performance scores.
          examples:
            - - YEAR
              - ESG_AVERAGE_SCORE
              - ENVIRONMENTAL_SCORE
              - SOCIAL_SCORE
              - GOVERNANCE_SCORE
              - PLUS_BMI_PICC_SCORE
              - PLUS_E_AQ_SCORE
              - PLUS_E_EI_SCORE
              - PLUS_E_GHGE_SCORE
              - PLUS_E_EM_SCORE
              - PLUS_E_WHMM_SCORE
              - PLUS_E_WWM_SCORE
              - PLUS_BMI_MSE_SCORE
              - PLUS_BMI_PDLM_SCORE
              - PLUS_SC_CP_SCORE
              - PLUS_SC_DS_SCORE
              - PLUS_SC_HRCR_SCORE
              - PLUS_SC_CW_SCORE
              - PLUS_SC_SPPL_SCORE
              - PLUS_HC_LP_SCORE
              - PLUS_HC_EHS_SCORE
              - PLUS_SC_AA_SCORE
              - PLUS_HC_EEDI_SCORE
              - PLUS_SC_PQS_SCORE
              - PLUS_BMI_BMR_SCORE
              - PLUS_LG_BE_SCORE
              - PLUS_LG_CB_SCORE
              - PLUS_BMI_SCM_SCORE
              - PLUS_LG_SRM_SCORE
              - PLUS_LG_CIRM_SCORE
              - PLUS_LG_MLRE_SCORE
        values:
          items:
            items:
              anyOf:
                - type: string
                - type: integer
                - type: number
                - type: 'null'
            type: array
          type: array
          title: Values
          description: The values of the ESG performance score.
          examples:
            - - '2025'
              - 70.01
              - 78.52
              - 64.54
              - 55.22
              - null
              - 44.26
              - 52.05
              - 83.63
              - 94.38
              - 77.8
              - 82.24
              - 58.72
              - 80.42
              - 90.98
              - 73.83
              - 53.67
              - 68.81
              - 44.32
              - 68.01
              - 64.39
              - 47.59
              - 55.64
              - 41.88
              - 100
              - 54.68
              - 51.74
              - 61.8
              - 37.82
              - 67.31
              - 77.03
            - - '2024'
              - 66.98
              - 74.37
              - 61.99
              - 54.59
              - null
              - null
              - null
              - null
              - null
              - null
              - null
              - null
              - null
              - null
              - null
              - null
              - null
              - null
              - null
              - null
              - null
              - null
              - null
              - null
              - null
              - null
              - null
              - null
              - null
              - null
      type: object
      required:
        - rp_entity_id
        - name
        - ticker
        - industry
        - economic_sector
        - esg_scores
        - values
      title: ESGPerformanceScore
    EmptyResponse:
      properties: {}
      type: object
      title: EmptyResponse
    IdentifierType:
      type: string
      enum:
        - rp_entity_id
      title: IdentifierType
      default: rp_entity_id
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: X-API-KEY

````